#ifndef TRAINEE_H
#define TRAINEE_H

#include <QList>

#include "user.h"
#include "group.h"
#include "computer.h"
#include "task.h"

class DATABASELMS_EXPORT Trainee: public User
{
public:
    Trainee();

    void setGroup(Group group){this->group = group;}
    Group getGroup(){return group;}

    void setComputer(Computer computer){this->computer = computer;}
    Computer getComputer(){return computer;}

    void setTasks(QList<Task> tasks){this->tasks = tasks;}
    QList<Task> getTasks(){return tasks;}

private:
    Group group;
    Computer computer;
    QList<Task> tasks;
};

#endif // TRAINEE_H
